#!/bin/sh
-# $Id: buildconf.sh,v 1.11 2005-05-17 20:34:28 adam Exp $
+# $Id: buildconf.sh,v 1.12 2006-03-28 19:56:04 adam Exp $
+
+if automake --version|head -1 |grep '1\.[4-7]'; then
+ echo "automake 1.4-1.7 is active. You should use automake 1.8 or later"
+ if test -f /etc/debian_version; then
+ echo " sudo apt-get install automake1.9"
+ echo " sudo update-alternatives --config automake"
+ fi
+ exit 1
+fi
+
set -x
-aclocal -I .
+# I am tired of underquoted warnings for Tcl macros
+aclocal -I . 2>&1 | grep -v aclocal/tcl.m4
libtoolize --automake --force
automake --add-missing
-automake --add-missing
autoconf
set -
if [ -f config.cache ]; then
--- /dev/null
+dnl YAZ++ Toolkit, Index Data 1994-2006
+dnl See the file LICENSE for details.
+dnl $Id: configure.ac,v 1.1 2006-03-28 19:56:04 adam Exp $
+AC_PREREQ(2.59)
+AC_INIT([yaz++],[1.0.0],[adam@indexdata.dk])
+AC_CONFIG_SRCDIR(configure.ac)
+AC_CONFIG_AUX_DIR([config])
+AM_INIT_AUTOMAKE([1.8])
+
+AC_PROG_CC
+AC_PROG_CPP
+AC_PROG_CXX
+AC_HEADER_STDC
+AM_DISABLE_SHARED
+AM_PROG_LIBTOOL
+
+YAZ_INIT(threads,2.1.11)
+if test -z "$YAZLIB"; then
+ AC_MSG_ERROR([YAZ development libraries missing])
+fi
+YAZ_DOC
+AC_CHECK_HEADERS(unistd.h sys/stat.h sys/time.h sys/types.h)
+
+AC_ARG_ENABLE(zoom,[ --disable-zoom disable ZOOM (for old C++ compilers)],[enable_zoom=$enableval],[enable_zoom=yes])
+AM_CONDITIONAL(ZOOM, test $enable_zoom = "yes")
+
+AC_SUBST(YAZPP_SRC_ROOT)
+AC_SUBST(YAZPP_BUILD_ROOT)
+YAZPP_SRC_ROOT=`cd ${srcdir}; pwd`
+YAZPP_BUILD_ROOT=`pwd`
+
+AC_OUTPUT([
+ Makefile
+ src/Makefile
+ include/Makefile
+ include/yaz++/Makefile
+ zlint/Makefile
+ yaz++-config
+ zoom/Makefile
+ doc/Makefile
+ doc/yaz++.xml
+ doc/yazprint.dsl doc/yazphp.dsl doc/yazhtml.dsl
+ doc/tkl.xsl
+],[sed s%yaz_echo_source=yes%yaz_echo_source=no%g < yaz++-config >src/yaz++-config && chmod +x yaz++-config src/yaz++-config])
+++ /dev/null
-AC_INIT(configure.in)
-AM_INIT_AUTOMAKE("yaz++",1.0.0)
-
-AC_PROG_CC
-AC_PROG_CPP
-AC_PROG_CXX
-AC_HEADER_STDC
-AM_DISABLE_SHARED
-AM_PROG_LIBTOOL
-
-YAZ_INIT(threads,2.1.11)
-if test -z "$YAZLIB"; then
- AC_MSG_ERROR([YAZ development libraries missing])
-fi
-YAZ_DOC
-AC_CHECK_HEADERS(unistd.h sys/stat.h sys/time.h sys/types.h)
-
-AC_ARG_ENABLE(zoom,[ --disable-zoom disable ZOOM (for old C++ compilers)],[enable_zoom=$enableval],[enable_zoom=yes])
-AM_CONDITIONAL(ZOOM, test $enable_zoom = "yes")
-
-AC_SUBST(YAZPP_SRC_ROOT)
-AC_SUBST(YAZPP_BUILD_ROOT)
-YAZPP_SRC_ROOT=`cd ${srcdir}; pwd`
-YAZPP_BUILD_ROOT=`pwd`
-
-AC_OUTPUT([
- Makefile
- src/Makefile
- include/Makefile
- include/yaz++/Makefile
- zlint/Makefile
- yaz++-config
- zoom/Makefile
- doc/Makefile
- doc/yaz++.xml
- doc/yazprint.dsl doc/yazphp.dsl doc/yazhtml.dsl
- doc/tkl.xsl
-],[sed s%yaz_echo_source=yes%yaz_echo_source=no%g < yaz++-config >src/yaz++-config && chmod +x yaz++-config src/yaz++-config])